Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## rj.tools.util
Class JavaDocParser

    java.lang.Object
      |
      +--rj.tools.util.JavaDocParser

public class JavaDocParser
extends java.lang.Object

`JavaDocParser` is an immutable class to getValue javadoc data in tag granularity. First you create an instance of this class providing the whole block of javadoc lines. Then you can ask whether a tag exist and getValue all instances of it.

Version:
  $Revision: 1.5 $
Author:
  Ralph Jocham

Constructor Summary
`JavaDocParser(java.lang.String docs)` Creates a new `JavaDocParser` instance.

Method Summary
`java.util.Collection` | `getAuthorTags()` `getAuthorTags` returns all the author tags
`java.util.Collection` | `getDeprecatedTags()` `getDeprecatedTags` returns all the deprecated tags
`java.util.List` | `getOrder()` `getOrder` returns the tags in the order they appeared
`static java.util.List` | `getOrderConvention()` `getOrderConvention` return the recomended order of the tags http://java.sun.com/j2se/javadoc/writingdoccomments/index.html
`java.util.Collection` | `getParamTags()` `getParamTags` returns all the param tags
`java.util.Collection` | `getReturnTags()` `getReturnTags` returns all the return tags
`java.util.Collection` | `getSeeTags()` `getSeeTags` returns all the see tags
`java.util.Collection` | `getSerialTags()` `getSerialTags` returns all the see tags
`java.util.Collection` | `getSinceTags()` `getSinceTags` returns all the since tags
`java.util.Collection` | `getThrowsTags()` `getThrowsTags` returns all the see tags
`java.util.Collection` | `getVersionTags()` `getVersionTags` returns all the version tags
`boolean` | `hasAuthorTags()` `hasAuthorTags`
`boolean` | `hasDeprecatedTags()` `hasDeprecatedTags`
`boolean` | `hasParamTags()` `hasParamTags`
`boolean` | `hasReturnTags()` `hasReturnTags`
`boolean` | `hasSeeTags()` `hasSeeTags`
`boolean` | `hasSerialTags()` `hasSerialTags`
`boolean` | `hasSinceTags()` `hasSinceTags`
`boolean` | `hasThrowsTags()` `hasThrowsTags`
`boolean` | `hasVersionTags()` `hasVersionTags`
`boolean` | `isJavaDoc()` `isJavaDoc` returns wheter the string is a javadoc.
`boolean` | `isOrderCorrect()` `isOrderCorrect` returns whether the order of the tags complies with the order convention.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JavaDocParser

    public JavaDocParser(java.lang.String docs)

  Creates a new `JavaDocParser` instance.
  Parameters:
    `docs` - `String` containing the whole javadoc (all lines)

Method Detail

### getOrderConvention

    public static java.util.List getOrderConvention()

  `getOrderConvention` return the recomended order of the tags http://java.sun.com/j2se/javadoc/writingdoccomments/index.html
  Returns:
    a `List` value

### isJavaDoc

    public boolean isJavaDoc()

  `isJavaDoc` returns wheter the string is a javadoc. it checks for /** at the beginning and '*'/ at the end
  Returns:
    a `boolean` value

### hasAuthorTags

    public boolean hasAuthorTags()

  `hasAuthorTags`
  Returns:
    a `boolean` value

### getAuthorTags

    public java.util.Collection getAuthorTags()

  `getAuthorTags` returns all the author tags
  Returns:
    a `Collection` value

### hasVersionTags

    public boolean hasVersionTags()

  `hasVersionTags`
  Returns:
    a `boolean` value

### getVersionTags

    public java.util.Collection getVersionTags()

  `getVersionTags` returns all the version tags
  Returns:
    a `Collection` value

### hasParamTags

    public boolean hasParamTags()

  `hasParamTags`
  Returns:
    a `boolean` value

### getParamTags

    public java.util.Collection getParamTags()

  `getParamTags` returns all the param tags
  Returns:
    a `Collection` value

### hasReturnTags

    public boolean hasReturnTags()

  `hasReturnTags`
  Returns:
    a `boolean` value

### getReturnTags

    public java.util.Collection getReturnTags()

  `getReturnTags` returns all the return tags
  Returns:
    a `Collection` value

### hasThrowsTags

    public boolean hasThrowsTags()

  `hasThrowsTags`
  Returns:
    a `boolean` value

### getThrowsTags

    public java.util.Collection getThrowsTags()

  `getThrowsTags` returns all the see tags
  Returns:
    a `Collection` value

### hasSeeTags

    public boolean hasSeeTags()

  `hasSeeTags`
  Returns:
    a `boolean` value

### getSeeTags

    public java.util.Collection getSeeTags()

  `getSeeTags` returns all the see tags
  Returns:
    a `Collection` value

### hasSinceTags

    public boolean hasSinceTags()

  `hasSinceTags`
  Returns:
    a `boolean` value

### getSinceTags

    public java.util.Collection getSinceTags()

  `getSinceTags` returns all the since tags
  Returns:
    a `Collection` value

### hasSerialTags

    public boolean hasSerialTags()

  `hasSerialTags`
  Returns:
    a `boolean` value

### getSerialTags

    public java.util.Collection getSerialTags()

  `getSerialTags` returns all the see tags
  Returns:
    a `Collection` value

### hasDeprecatedTags

    public boolean hasDeprecatedTags()

  `hasDeprecatedTags`
  Returns:
    a `boolean` value

### getDeprecatedTags

    public java.util.Collection getDeprecatedTags()

  `getDeprecatedTags` returns all the deprecated tags
  Returns:
    a `Collection` value

### getOrder

    public java.util.List getOrder()

  `getOrder` returns the tags in the order they appeared
  Returns:
    a `List` value

### isOrderCorrect

    public boolean isOrderCorrect()

  `isOrderCorrect` returns whether the order of the tags complies with the order convention.
  Returns:
    a `boolean` value

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

(c) 1999-2004 by Ralph Jocham (rjocham72@netscape.net)
JCSC is released under the terms of the GNU General Public License